![]() ![]() |
5.7 Lumped Impedance
The Lumped buttonin the Model tab allows introducing lumped impedance to the considered structure. Under the Lumped drop-down button five circuits are available: Series, Parallel, Drude, Debye, and Lorentz. After choosing one of them the Create Lumped Impedance dialogue appears. The dialogue below shows the parameters for Series circuit option.
![]()
Name field is filled automatically but the user can change it at will. Coordinates frame allows defining the position of the lumped circuit. The user can insert coordinates' values in the X,Y,Z fields or use From Pick option, similar to this for Point Ports described in Point Port chapter.
In the Parameters frame, the user can independently choose the Type of the lumped circuit from the drop-down list. The visualisation of the chosen circuit, indicating the particular p and s parameters available on the right, will appear on the picture. At the bottom of the Parameters frame the field Component to which the circuit is connected can be chosen.
Python codeThe python code, which can be useful when creating project scripts, generated by Create Lumped Impedance dialogue for default parameters:
from FreeCAD import BaseQW_Modeller.addQWObject("QW_Modeller::LumpedPointPort","LumpedImp")App.ActiveDocument.LumpedImp.Placement = Base.Placement(Base.Vector(0.00000,0.00000,0.00000),Base.Rotation(0.00000,0.00000,0.00000,1.00000))App.ActiveDocument.LumpedImp.Type = "Series"App.ActiveDocument.LumpedImp.Component = "Ex"App.ActiveDocument.LumpedImp.Rp = 1.00000App.ActiveDocument.LumpedImp.Lp = 1.00000App.ActiveDocument.LumpedImp.Cp = 1.00000App.ActiveDocument.LumpedImp.Rs = 1.00000App.ActiveDocument.LumpedImp.Ls = 1.00000App.ActiveDocument.LumpedImp.Cs = 1.00000Gui.ActiveDocument.LumpedImp.ShowText = TrueGui.ActiveDocument.LumpedImp.TextSize = 14App.ActiveDocument.recompute()Gui.SendMsgToActiveView("ViewFit")
QWED Sp. z o.o. Voice: +48 22 625 73 19 Fax: +48 22 621 62 99 info@qwed.eu |
![]() ![]() |